/*
 * このソースコードは blanco Frameworkにより自動生成されました。
 */
package blanco.resourcebundle.valueobject;

/**
 * リソースバンドルのロケール＋文字列をあらわす構造体クラス。
 */
public class BlancoResourceBundleBundleResourceStringStructure {
    /**
     * フィールド [locale]
     *
     * 項目の型 [java.lang.String]<br>
     * ロケール。
     */
    private String fLocale;

    /**
     * フィールド [resourceString]
     *
     * 項目の型 [java.lang.String]<br>
     * リソース文字列。
     */
    private String fResourceString;

    /**
     * フィールド [locale]のセッターメソッド
     *
     * 項目の型 [java.lang.String]<br>
     * ロケール。
     *
     * @param argLocale フィールド[locale]に格納したい値
     */
    public void setLocale(final String argLocale) {
        fLocale = argLocale;
    }

    /**
     * フィールド[locale]のゲッターメソッド
     *
     * 項目の型 [java.lang.String]<br>
     * ロケール。
     *
     * @return フィールド[locale]に格納されている値
     */
    public String getLocale() {
        return fLocale;
    }

    /**
     * フィールド [resourceString]のセッターメソッド
     *
     * 項目の型 [java.lang.String]<br>
     * リソース文字列。
     *
     * @param argResourceString フィールド[resourceString]に格納したい値
     */
    public void setResourceString(final String argResourceString) {
        fResourceString = argResourceString;
    }

    /**
     * フィールド[resourceString]のゲッターメソッド
     *
     * 項目の型 [java.lang.String]<br>
     * リソース文字列。
     *
     * @return フィールド[resourceString]に格納されている値
     */
    public String getResourceString() {
        return fResourceString;
    }

    /**
     * このバリューオブジェクトの文字列表現を取得します。
     *
     * オブジェクトのシャロー範囲でしかtoStringされない点に注意して利用してください。
     *
     * @return バリューオブジェクトの文字列表現。
     */
    public String toString() {
        final StringBuffer buf = new StringBuffer();
        buf.append("blanco.resourcebundle.valueobject.BlancoResourceBundleBundleResourceStringStructure[");
        buf.append("locale=" + fLocale);
        buf.append(",resourceString=" + fResourceString);
        buf.append("]");
        return buf.toString();
    }
}
